/******************************************************************************
*
*  FILENAME :	file.h
*
*  DESCRIPTION :
*
*	Interface header file for generic file manipulation package.
*
*  USAGE :
*
*	Include in source files which require access to the package.
*
*  NOTES :
*
*	Written by Paul Chesson (1994)
*	E-Mail: chesson@mundil.cs.mu.OZ.AU
*
*/


#ifndef FILE_H
#define FILE_H


/******************************************************************************
*  INCLUDE FILES
******************************************************************************/

#include "bugbyte.h"


/******************************************************************************
*  EXTERNAL FUNCTION PROTOTYPES
******************************************************************************/

extern void close_file(const char *filename, const FILE *stream);
extern FILE *open_file(const char *filename, const char *mode);
extern FILE *reopen_file(const char *filename, const char *mode, FILE *stream);

extern void append_file(const char *filename1, const char *filename2);
extern void copy_file(const char *filename1, const char *filename2);
extern void delete_file(const char *filename);
extern void write_file(const char *filename);
extern void read_file(const char *filename, const char *mode);

extern Boolean diff_file(const char *filename1, const char *filename2);
extern char *get_dir(const char *filename);


#endif  /*  FILE_H  */

